
import Vue from 'vue'
import api from '@/api/api.js'
import utils from './utils/utils.js'

import uvUI from '@/uni_modules/uv-ui-tools'
Vue.use(uvUI);

// 当前环境
const type = 'prod'


// 环境配置
const config = {
	dev : {
		baseUrl : 'http://3fl8266127.qicp.vip/aluminium-prod',
	},
	prod : {
		baseUrl : 'https://aluminium-prod.hhlm1688.com/aluminium-prod',
	}
}


// 默认配置
const defaultConfig = {
	mapKey : 'JYTBZ-DOY3Q-UCM5O-4FWQR-LCI7S-ZIBD3',
	
	aliOss: {
		url: 'https://image.hhlm1688.com/',
		config: {
			//桶的地址
			region: 'oss-cn-guangzhou',
			//id
			accessKeyId: 'LTAI5tQSs47izVy8DLVdwUU9',
			//密钥
			accessKeySecret: 'qHI7C3PaXYZySr84HTToviC71AYlFq',
			//桶的名字
			bucket: 'hanhaiimage',
			endpoint: 'oss-cn-shenzhen.aliyuncs.com',
		}
	},
	
	
	// aliOss : {
	// 	url : 'https://tennis-oss.xzaiyp.top/',
	// 	config : {
	// 		//桶的地址
	// 		region: 'oss-cn-guangzhou',
	// 		//id
	// 		accessKeyId:'LTAI5tNycA46YTwm383dRvMV',
	// 		//密钥
	// 		accessKeySecret:'tAdbYQCmdur6jbZ8hjvgB7T1Z52mIG',
	// 		//桶的名字
	// 		bucket: 'zhuoqiu-image',
	// 		endpoint:'oss-cn-guangzhou.aliyuncs.com',
	// 	}
	// },
	
	
	// aliOss : {
	// 	url : 'https://image.hhlm1688.com/',
	// 	config : {
	// 		//桶的地址
	// 		region: 'oss-cn-shenzhen',
	// 		//id
	// 		accessKeyId:'LTAI5tQSs47izVy8DLVdwUU9',
	// 		//密钥
	// 		accessKeySecret:'qHI7C3PaXYZySr84HTToviC71AYlFq',
	// 		//桶的名字
	// 		bucket: 'hanhaiimage',
	// 		endpoint:'oss-cn-shenzhen.aliyuncs.com',
	// 	}
	// },
}


uni.$uv.setConfig({
	// 修改$uv.config对象的属性
	config: {
		// 修改默认单位为rpx，相当于执行 uni.$uv.config.unit = 'rpx'
		unit: 'rpx'
	},
})

Vue.prototype.$config = utils.deepMergeObject(defaultConfig, config[type])

Vue.prototype.$api = api

export default Vue.prototype.$config